/**
 * @description 登录相关接口 api管理
 * @author Jerome.luo
 * @date 2023/03/01
 * @return { function }
 */

import TgRequest from "@core/utils/TgRequest";

export function getValCode(params, opts) {
  // 验证码
  return TgRequest({
    url: "/getValCode",
    method: "get",
    data: params,
    responseType: "arraybuffer",
  });
}


