const _sortField = ''
const _asc = ''

const handleSort = (pagination,sortField)=>{

}

/*
* 处理发送的数据
*   将时间的值过滤去除
* */
export const handleFormData = (data,queryField)=>{
  data = JSON.parse(JSON.stringify(data))
  queryField.split(',')
    .filter(item=> {
      return !!item
    })
    .forEach(item=>{
      let _temp = item.split('|')
      _temp[1] === 'd' ? delete data[_temp[0]] :''
    })
  return data
}
/*
* 过滤条件设置
*   queryField: "tableType|l,queryName|l"
* */
export const handleFilterQuery = (queryField = {})=>{
  let str = []
  if( queryField.constructor === Array ) {
    for(let p in queryField) {
      let item = queryField[p]
      str.push(`${item.columnCode}|${item.queryMode}`)
    }
    return str.join(',')
  }else if( queryField.constructor === String  ) {
    return queryField
  }
}

/*
* 过滤条件设置
*   当没有对应查询字段时，对应的匹配规则字段不拼接
* */
export const handleClearFilterQuery = (str='',data)=>{
  let rtn = []
  // return rtn.join(',')
  let obj = {"createDate":"d"}
  // "code|l,name|l,createDate|d"
  let arr = str.split(',')
    // ["code|l","name|l","createDate|d"]
    .filter((item)=>item!=='')
    // {"code":"l","name":"l","createDate":"d"}
    .forEach((item)=>{
      let _temp = item.split('|')
      obj[_temp[0]] = _temp[1]
    })

  // 当没有对应查询字段时，对应的匹配规则字段不拼接
  Object.keys(obj)
    .filter((item)=>{
      return data[item]
    })
    .forEach((item)=>{
      rtn.push(`${item}|${obj[item]}`)
    })

  return rtn.join(',')
}



// 初始化查询条件
export const initQuery = ()=>{
  return {
    // "queryField":"tableCode|l,tableName|l", //模板  tableCode  tableName  remark
    "queryField":"",
    // "sortField":"",
    "asc":false,
    "pageSize": 10,      // 每页的条数
    "pageNum": 1       // 第 N 页
  }
}

// export default {
//   // 处理发送的数据
//   handleFormData,
//   // 过滤条件设置
//   handleClearFilterQuery
// }
