/*
 * 设计
 *   框架使用：不对外
 * */
import TgRequest from "@core/utils/TgRequest";
import { getCurrentInstance, reactive, ref, toRefs } from "vue";
import {TgHttp} from "@coreHttp";
import {SettingCore} from "@core/setting";

export default function () {
  const state = reactive({

    // 是否显示
    monitoringFlag: 0,
  });

  // 运维系统
  const getMonitoring = () => {
    state.monitoringFlag = 0;

    const request = new TgHttp();
    request.entity =  { createTimeStart: "2023-07-01", createTimeEnd: "2023-07-26" }
      request
        .build(SettingCore.VITE_BASE_URL + '/sysMonitorApi/selectMonitorPie')
        .post()
        .then((res) => {
          state.monitoringFlag = 1;
        })
        .catch((e) => {
          state.monitoringFlag = 0;
          // console.log("~~~~~111~~~");
        });
  };

  return {
    ...toRefs(state),
    getMonitoring,
  };
}
