import {tm} from "@i18nHelper";

export const searchFormSchema = [
    {
        label: tm('sysCacheHelp.queryKey', '查询类型'),
        field: "queryKey", //字段名称
        span: 12, //控件占位长度
        labelWidth: "100px", //label占用长度
        show: true, //是否显示该控件
        query: "auto", //查询配置
        component: "Input", //控件类型：Input,Select,Choose,DateRange,DateTimeRange
        componentProps: {
            //组件属性对象
            dataType: "", //放大镜，下拉框的数据来源
        },
    },
    {
        label: tm('sysCacheHelp.baseComment', '备注'),
        field: "baseComment", //字段名称
        span: 12, //控件占位长度
        labelWidth: "100px", //label占用长度
        show: true, //是否显示该控件
        query: "auto", //查询配置
        component: "Input", //控件类型：Input,Select,Choose,DateRange,DateTimeRange
        componentProps: {
            //组件属性对象
            dataType: "", //放大镜，下拉框的数据来源
        },
    },
];

export const columns = [
    {
        label: tm('sysCacheHelp.queryKey', '基础参数key'),
        field: "queryKey",
        show: false,
        width: "100px",
        export: true,
        fixed: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('sysCacheHelp.baseComment', '备注'),
        field: "baseComment",
        show: true,
        width: "160px",
        export: true,
        fixed: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('sysCacheHelp.createTime', '创建日期'),
        field: "createTime",
        show: true,
        width: "160px",
        export: true,
        fixed: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('sysCacheHelp.updateTime', '更新日期'),
        field: "updateTime",
        show: true,
        width: "160px",
        export: true,
        fixed: true,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    }
];
