import {tm} from '@i18nHelper'

export const searchFormSchema = [

    {

        label: tm('eciNoticeInfo.bizNo', '业务单号'),
        field: "bizNo",
        labelWidth: "160px",
        span: 12,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
    {

        label: tm('eciNoticeInfo.typeCode', '类型'),
        field: "typeCode",
        labelWidth: "160px",
        span: 12,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
    {

        label: tm('eciNoticeInfo.flowNo', '环节'),
        field: "flowNo",
        labelWidth: "160px",
        span: 12,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
    {
        label: tm('eciNoticeInfo.status', '状态'),
        field: "status",
        labelWidth: "160px",
        span: 12,
        show: true,
        query: "auto",
        component: "Select",
        componentProps: {
            dataCustom: "0|待发送,1|发送成功,9|发送失败"
        },
    },
];

export const columns = [

    {
        label: tm('eciNoticeInfo.bizId', '业务主键'),
        field: "bizId",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeInfo.bizNo', '业务单号'),
        field: "bizNo",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeInfo.typeCode', '类型'),
        field: "typeCode",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeInfo.flowNo', '环节'),
        field: "flowNo",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeInfo.noticeTo', '抄送人'),
        field: "noticeTo",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeInfo.noticeCc', '抄送人'),
        field: "noticeCc",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeInfo.status', '状态'),
        field: "statusName",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeInfo.createDate', '创建日期'),
        field: "createDate",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeInfo.createUser', '创建人'),
        field: "createUser",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeInfo.updateDate', '修改日期'),
        field: "updateDate",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeInfo.updateUser', '修改人'),
        field: "updateUser",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    }
];
