import {tm} from '@i18nHelper'

export const searchFormSchema = [
    {

        label: tm('eciNoticeType.code', '编码'),
        field: "code",
        labelWidth: "160px",
        span: 12,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
    {

        label: tm('eciNoticeType.name', '名称'),
        field: "name",
        labelWidth: "160px",
        span: 12,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
    {

        label: tm('eciNoticeType.status', '状态'),
        field: "status",
        labelWidth: "160px",
        span: 12,
        show: true,
        query: "auto",
        component: "Select",
        componentProps: {
            dataCustom: "Y|是,N|否"
        },
    },
    {

        label: tm('eciNoticeType.flowNo', '环节'),
        field: "flowNo",
        labelWidth: "160px",
        span: 12,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
];

export const columns = [
    {
        label: tm('eciNoticeType.code', '编码'),
        field: "code",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeType.name', '名称'),
        field: "name",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeType.flowNo', '环节'),
        field: "flowNo",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeType.status', '状态'),
        field: "status",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeType.createDate', '创建日期'),
        field: "createDate",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeType.createUser', '创建人'),
        field: "createUser",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeType.updateDate', '更新日期'),
        field: "updateDate",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNoticeType.updateUser', '更新人'),
        field: "updateUser",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
];
