import {tm} from '@i18nHelper'

export const searchFormSchema = [
    {

        label: tm('eciDataGroup.groupName', '分组名称'),
        field: "groupName",
        labelWidth: "160px",
        span: 6,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
    {

        label: tm('eciDataGroup.status', '是否启用'),
        field: "status",
        labelWidth: "160px",
        span: 6,
        show: true,
        query: "auto",
        component: "Select",
        componentProps: {
            dataType: "",
            placeholder: "",
            dataCustom: "Y|是,N|否"
        },
    },
    {

        label: tm('eciDataGroup.groupCode', '分组代码'),
        field: "groupCode",
        labelWidth: "160px",
        span: 6,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
];

export const columns = [
    {
        label: tm('eciDataGroup.groupCode', '分组代码'),
        field: "groupCode",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciDataGroup.groupName', '分组名称'),
        field: "groupName",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciDataGroup.status', '是否启用'),
        field: "statusName",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciDataGroup.catelog', '自定义目录'),
        field: "catelog",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciDataGroup.memo', '备注'),
        field: "memo",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },

    {
        label: tm('eciDataGroup.createUser', '创建人'),
        field: "createUser",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciDataGroup.createDate', '创建日期'),
        field: "createDate",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciDataGroup.updateUser', '更新人'),
        field: "updateUser",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciDataGroup.updateDate', '更新日期'),
        field: "updateDate",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },

];
