window.website = {
    path: "",
    appName: "天宫框架",
    appAlias: "天宫框架",
    checkVersion: true,
    getServerConfig: false,
    //开启功能整合模式
    enableITS: true,
    sysCode: "TG",//系统代码
    debug: {page: false},
    needSign: true,
    tgApiPrefix: '',//如果是微服务部署，框架提供的内置功能添加接口的请求前缀
    apiServer: {
        // base: "http://192.168.106.188:9527",
        //框架的测试nginx路由转发的地址
        // base: "http://192.168.106.189:80/tq",

        base: "http://127.0.0.1:9527",
    },
    site: {
        // isDev: true,
        userName: "tgroot",
        mima: "admin123",
        valCode: "9527",
        version: "",//版本号
        copyright: `版权所有华东信息科技有限公司 Copyright © 2020-2030 版本 1.0.0`,
        // loginUrl: "/appTiangong/login/customLogin/index",
        max: true,
        token: {
            showPage: true,
        },
    },
    serverConfig: {
        importConfig: {
            // server: "http://192.168.106.89/Import/api"
            // server: "http://localhost:9102/Import/api",
            serverCore: "http://localhost:9102/Import/api",//core导入服务
            server: "http://127.0.0.1:9527",
            //server:"http://192.168.106.188:9527"
        },
        conn: "bz3rTzrCvtN7Fg6i4fPZwyLj7tjV9H3Z2XoZD4M4f2FEDKF25umnSHfD0iiK9qGNF/eykCASVJ5KYTBrZ1sdvk9IrQGJ5HOBpR0Lohe0djiv90WYY/755aw2hh2M0VcVtexLFjMjqZT/QTSTIHNmyg==",
    },

    home: {
        url: "/home/homeIndex",
        name: "首页",
    },

    login: {
        valCode: false,
    },

    dateFormat: {
        dateSS: "yyyy-MM-dd HH:mm:ss",
        dateDD: "yyyy-MM-dd",
        dateMI: "yyyy-MM-dd HH:mm",
        dateHH: "yyyy-MM-dd HH",
        dateMM: "yyyy-MM",
        dateYYYY: "yyyy",
    },

    lang: {
        sysCode: "TG", //国际化系统代码,对应ework系统代码
        mode: "online",//online 在线的读取多语言包  | offline 读取web/lang目录下的langUI.json文件
        //     switchInNavbar: true,//是否在页面显示多语言切换，true：显示
        //     //多语言包的线上api地址,online情况下在线调用接口获取国际化
        server: [
            "http://192.168.106.178:9004/eaapi"
        ],
    },
    fileInfo: {
        fileViewType: "img,word,excel,video,pdf",
    },
    //setting配置信息
    componentSetting: {
        table: {
            defaultPageSize: 10,
            pageSizeOptions: [10, 20, 30, 40],
            //查询数据前是否清空表格
            clearTableBeforeSearch: false,
            //表格：配置样式
            // settingStyle: "1"
        },
        //查询条件，配置样式
        filter: {
            // labelWidth:"120px";
            // labelPosition: "right"
            // settingStyle: "1"
        }
    },

    // 快捷工作区
    // quickWork: {
    //   key: 'Alt',
    //   name: 'Alt'
    // }
    // 数字助手
    // numberHelper:{
    //     url: 'http://localhost:9898/#/'
    // }
};
//前端数据库需要使用
window.global = window;
