export type LocaleType = 'zh_CN' | 'zh_TW' | 'en' | 'ru' | 'ja' | 'ko' | 'vi'

export interface LocaleSetting {
    showPicker: boolean
    // Current language
    locale: LocaleType
    // default language
    fallback: LocaleType
    // available Locales
    availableLocales: LocaleType[]
}
