import {tm} from '@i18nHelper'

export const searchFormSchema = [
    {

        label: tm('eciFileBizType.code', '代码'),
        field: "code",
        labelWidth: "160px",
        span: 6,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
    {

        label: tm('eciFileBizType.name', '名称'),
        field: "name",
        labelWidth: "160px",
        span: 6,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
    {

        label: tm('eciFileBizType.status', '状态'),
        field: "status",
        labelWidth: "160px",
        span: 6,
        show: true,
        query: "auto",
        component: "Select",
        componentProps: {
            dataType: "",
            placeholder: "",
            dataCustom: "Y|是,N|否"
        },
    },
    // {
    //
    //     label: tm('eciFileBizType.createDate', '创建日期'),
    //     field: "createDate",
    //     // columnCode: "createDate",
    //     labelWidth: "160px",
    //     span: 6,
    //     show: true,
    //     query: "auto",
    //     component: "DateRange", //控件类型：Input,Select,Choose,DateRange,DateTimeRange
    //     componentProps: {
    //         //组件属性对象
    //         dataType: "", //放大镜，下拉框的数据来源
    //         placeholder: "开始-结束", //背景提示文本
    //     },
    // },
];

export const columns = [

    {
        label: tm('eciFileBizType.code', '代码'),
        field: "code",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciFileBizType.name', '名称'),
        field: "name",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciFileBizType.config', '配置'),
        field: "config",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciFileBizType.status', '状态'),
        field: "statusName",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciFileBizType.createDate', '创建日期'),
        field: "createDate",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciFileBizType.createUser', '创建人'),
        field: "createUser",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciFileBizType.catalog', '下级分类'),
        field: "catalog",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciFileBizType.memo', '备注'),
        field: "memo",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciFileBizType.fileType', '文件类型'),
        field: "fileType",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciFileBizType.maxNum', '文件数量限制'),
        field: "maxNum",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciFileBizType.maxSize', '文件大小限制(KB)'),
        field: "maxSize",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
];
