import {tm} from '@i18nHelper'

export const searchFormSchema = [
    {

        label: tm('eciNsBizType.code', '代码'),
        field: "code",
        labelWidth: "160px",
        span: 6,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
    {

        label: tm('eciNsBizType.name', '名称'),
        field: "name",
        labelWidth: "160px",
        span: 6,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
        },
    },
    {

        label: tm('eciNsBizType.comStatus', '是否启用内审'),
        field: "status",
        labelWidth: "160px",
        span: 6,
        show: true,
        query: "B.STATUS|s|=|and",
        component: "Select",
        componentProps: {
            dataType: "",
            placeholder: "",
            dataCustom: "Y|是,N|否"
        },
    },

];

export const columns = [
    {
        label: tm('eciNsBizType.code', '代码'),
        field: "code",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNsBizType.name', '名称'),
        field: "name",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNsBizType.comStatus', '是否启用内审'),
        field: "comStatusName",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },

];
