import {tm} from '@i18nHelper'

export const searchFormSchema = [
    {

        label: tm('eciNsComConfig.companyCode', '企业代码'),
        field: "companyCode",
        labelWidth: "160px",
        span: 6,
        show: true,
        query: "auto",
        component: "Input",
        componentProps: {
            dataType: "",
            placeholder: "",
            disabled: true,
        },
    },
    {

        label: tm('eciNsComConfig.companyName', '企业名称'),
        field: "companyName",
        labelWidth: "160px",
        span: 6,
        show: true,
        query: "auto",
        component: "Input",

        componentProps: {
            dataType: "",
            placeholder: "",
            disabled: true,
        },
    },
    {

        label: tm('eciNsComConfig.bizType', '业务类型'),
        field: "bizType",
        labelWidth: "160px",
        span: 6,
        show: true,
        query: "auto",
        component: "Select",
        componentProps: {
            dataType: "TG_NS_BIZ_TYPE_ID",
            placeholder: "",
        },
    },
];

export const columns = [
    {
        label: tm('eciNsComConfig.companyCode', '企业代码'),
        field: "companyCode",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNsComConfig.companyName', '企业名称'),
        field: "companyName",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNsComConfig.bizType', '业务类型'),
        field: "bizTypeName",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNsComConfig.auditLevel', '审批级别'),
        field: "auditLevelName",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNsComConfig.createDate', '创建日期'),
        field: "createDate",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNsComConfig.createUser', '创建人'),
        field: "createUser",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNsComConfig.updateDate', '更新日期'),
        field: "updateDate",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNsComConfig.attrMemo', '拓展属性'),
        field: "attrMemo",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
    {
        label: tm('eciNsComConfig.tipApplyHg', '是否提示申报'),
        field: "tipApplyHgName",
        show: true,
        width: "160px",
        export: true,
        fixed: false,
        columnProps: {
            "show-overflow-tooltip": true,
            sortable: false,
        },
    },
];
